# shellcheck shell=ksh
# osx 专属快捷 shell
fn="Wi-Fi"
alias netls="networksetup -listallnetworkservices"
alias dns_get='networksetup -getdnsservers ${fn}'

dns_rst() {
    t_dns="$1"
    if [ $# -eq 0 ] 
        then
        t_dns="8.8.8.8"
    fi
    networksetup -setdnsservers "$fn" "$t_dns"
}

shell_dir="$HOME/.alias.d/opt"

alias clearmac="zsh '$shell_dir/clearmac.sh'"
alias PBE='open /Applications/League\ of\ Legends\ \(PBE\).app --args --locale=zh_CN'