#!/bin/bash

# 读取用户输入的 MAC 地址
if [ $# -eq 0 ]; then
    read -p "请输入 MAC 地址：" mac_address
else
    mac_address="$1"
    echo "输入的 MAC 地址：" "$mac_address"
fi

# 将 MAC 地址转为大写并去掉其中的分隔符
formatted_mac=$(echo $mac_address | tr -d ':' | tr '[:lower:]' '[:upper:]')

# 输出处理后的 MAC 地址
echo "处理后的 MAC 地址为：$formatted_mac"